List all showings
curl --request GET \
--url https://api.northreports.com/v1/showings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.northreports.com/v1/showings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.northreports.com/v1/showings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"north_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"showing_date": "2023-11-07T05:31:56Z",
"scheduled_date": "2023-11-07T05:31:56Z",
"attendee_name": "<string>",
"attendee_email": "<string>",
"attendee_phone": "<string>",
"agent_name": "<string>",
"feedback": "<string>",
"rating": 3,
"interested": true,
"event_type": "showing",
"title": "<string>",
"attendees_count": 0,
"unique_showing_key": "<string>",
"showing_time_start": "2023-11-07T05:31:56Z",
"showing_time_end": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": {
"message": "Invalid API key",
"status": 401
}
}{
"error": {
"message": "Permission denied: reports:create",
"status": 403
}
}{
"error": {
"message": "Rate limit exceeded. Please try again later.",
"status": 429
}
}Showings
List Showings
Retrieves a paginated list of all showings for reports in your team. Use query parameters to filter and paginate results.
GET
/
v1
/
showings
List all showings
Authorizations
API key authentication. Include your API key in the Authorization header:
Authorization: Bearer north_sk_live_xxxxxxxxxxxx
Query Parameters
Filter by specific report ID
Maximum number of showings to return
Required range:
1 <= x <= 100Number of showings to skip for pagination
Required range:
x >= 0⌘I